gr::gsm::dummy_burst_filter_impl Class Reference

`#include <dummy_burst_filter_impl.h>`

Inheritance diagram for gr::gsm::dummy_burst_filter_impl:

## Public Member Functions

| dummy_burst_filter_impl ()
| ~dummy_burst_filter_impl ()
void | process_burst (pmt::pmt_t msg)
filter_policy | get_policy (void)
filter_policy | set_policy (filter_policy policy)

## Additional Inherited Members

Public Types inherited from gr::gsm::dummy_burst_filter
typedef std::shared_ptr< dummy_burst_filter > | sptr
Static Public Member Functions inherited from gr::gsm::dummy_burst_filter
static sptr | make ()
| Return a shared_ptr to a new instance of grgsm::dummy_burst_filter.

## Constructor & Destructor Documentation

## dummy_burst_filter_impl()

gr::gsm::dummy_burst_filter_impl::dummy_burst_filter_impl | ( |  | ) |

## ~dummy_burst_filter_impl()

gr::gsm::dummy_burst_filter_impl::~dummy_burst_filter_impl | ( |  | ) |

## Member Function Documentation

## get_policy()

filter_policy gr::gsm::dummy_burst_filter_impl::get_policy | ( | void |  | ) |

virtual

Implements gr::gsm::dummy_burst_filter.

## process_burst()

void gr::gsm::dummy_burst_filter_impl::process_burst | ( | pmt::pmt_t | msg | ) |

## set_policy()

filter_policy gr::gsm::dummy_burst_filter_impl::set_policy | ( | filter_policy | policy | ) |

virtual

Implements gr::gsm::dummy_burst_filter.

The documentation for this class was generated from the following file:

- dummy_burst_filter_impl.h